### Method

# Atspi Action get_name

deprecated: 2.10

#### Declaration [src]

    gchar*
    atspi_action_get_name (
      AtspiAction* obj,
      gint i,
      GError** error
    )

#### Description [src]

Get the name of the ‘`i`-th’ action invocable on an object implementing `AtspiAction`.

Deprecated since: 2.10

Use atspi_action_get_action_name instead.

This method is renamed to `atspi_action_get_action_name()` in language bindings.

#### Parameters

`i`

  Type: `gint`

  An integer indicating which action to query.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

The non-localized name of the action, as a UTF-8 string.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.